# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'ssh_smart/version'

Gem::Specification.new do |spec|
  spec.name          = 'ssh_smart'
  spec.version       = SshSmart::VERSION
  spec.authors       = ['Eduardo Batista']
  spec.email         = ['educrep@LIVE.COM']

  spec.summary       = "Fun\xC3\xA7\xC3\xA3o SSH - Smart"
  spec.description   = "Fun\xC3\xA7\xC3\xB5es que copia arquivo para o SMART via SSH"
  spec.homepage      = ''
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 2.1', '>= 2.1.4'
  spec.add_development_dependency 'csv', '~> 3.1', '>= 3.1.2'
  spec.add_development_dependency 'json', '~> 2.3', '>= 2.3.0'
  spec.add_development_dependency 'net-scp', '~> 1.2', '>= 1.2.1'
  spec.add_development_dependency 'net-sftp', '~> 2.1', '>= 2.1.2'
  spec.add_development_dependency 'net-ssh', '~> 5.2', '>= 5.2.0'
  spec.add_development_dependency 'rake', '~> 10.0', '>= 13.0.1'
end
